### Enumeration

# Soup TLDError

#### Declaration

    error-domain Soup.TLDError

#### Description [src]

Error codes for `SOUP_TLD_ERROR`.

#### Members

`SOUP_TLD_ERROR_INVALID_HOSTNAME`

  A hostname was syntactically invalid.

  - Value: `0`
  - Available since: 3.0
`SOUP_TLD_ERROR_IS_IP_ADDRESS`

  The passed-in “hostname” was actually an IP address (and thus has no base domain or public suffix).

  - Value: `1`
  - Available since: 3.0
`SOUP_TLD_ERROR_NOT_ENOUGH_DOMAINS`

  The passed-in hostname did not have enough components. Eg, calling `soup_tld_get_base_domain()` on <literal>“co.uk”</literal>.

  - Value: `2`
  - Available since: 3.0
`SOUP_TLD_ERROR_NO_BASE_DOMAIN`

  The passed-in hostname has no recognized public suffix.

  - Value: `3`
  - Available since: 3.0
`SOUP_TLD_ERROR_NO_PSL_DATA`

  The Public Suffix List was not available.

  - Value: `4`
  - Available since: 3.0

#### Type functions

###### soup_tld_error_quark

Registers error quark for `soup_tld_get_base_domain()` if needed.